Bug 448082 - perl-XML-TreeBuilder files installed outside @INC paths
perl-XML-TreeBuilder files installed outside @INC paths
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-XML-TreeBuilder (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9_5.10_REBUILD
  Show dependency treegraph
 
Reported: 2008-05-23 08:31 EDT by Paul W. Frields
Modified: 2008-07-07 06:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.09-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 01:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2008-05-23 08:31:40 EDT
perl-XML-TreeBuilder-3.09-9.fc9.noarch

This package probably just needs rebuilding for F-9, but I'm no Perlmonger. :-)
Comment 1 Paul Howarth 2008-05-23 09:38:57 EDT
Looks like this package missed out on the great perl rebuild for 5.10, as was
the case in Bug #447921.

A quick scan through the Fedora 9 Everything filelists.xml suggests that the
following packages need rebuilding:

perl-Unicode-MapUTF8 (Bug #447921)
conmux-client
mogstored-backend-perlbal
geoqo
mogstored-backend-apache
zoneminder
perl-Net-Netmask
hamlib-perl
munin
dbxml-perl
GraphicsMagick-perl
perl-XML-Generator-DBI
mogilefsd
mapserver-perl
libprelude-perl
remctl-perl
libpreludedb-perl
perl-Digest-Nilsimsa
ocaml-cil-cilly
mogstored-backend-lighttpd
po4a
sysusage
mogstored
OpenIPMI-perl
perl-XML-TreeBuilder (this bug)
JSDoc
perl-Time-Duration
perl-openbabel
perl-NKF
Comment 2 Ralf Corsepius 2008-05-24 02:09:06 EDT
(In reply to comment #0)
> This package probably just needs rebuilding for F-9, but I'm no Perlmonger. :-)
Why?

# rpm -qlp perl-XML-TreeBuilder-3.09-9.fc9.noarch.rpm 
/usr/lib/perl5/vendor_perl/5.8.8/XML
/usr/lib/perl5/vendor_perl/5.8.8/XML/Element.pm
/usr/lib/perl5/vendor_perl/5.8.8/XML/TreeBuilder.pm
/usr/share/doc/perl-XML-TreeBuilder-3.09
/usr/share/doc/perl-XML-TreeBuilder-3.09/Changes
/usr/share/doc/perl-XML-TreeBuilder-3.09/README
/usr/share/man/man3/XML::Element.3pm.gz
/usr/share/man/man3/XML::TreeBuilder.3pm.gz

# perl -V
...
  @INC:
    /usr/lib/perl5/5.10.0/i386-linux-thread-multi
    /usr/lib/perl5/5.10.0
    /usr/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.10.0
    /usr/lib/perl5/site_perl/5.8.8
    /usr/lib/perl5/site_perl/5.8.7
    /usr/lib/perl5/site_perl/5.8.6
    /usr/lib/perl5/site_perl/5.8.5
    /usr/lib/perl5/site_perl
    /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi
    /usr/lib/perl5/vendor_perl/5.10.0
    /usr/lib/perl5/vendor_perl/5.8.8
    /usr/lib/perl5/vendor_perl/5.8.7
    /usr/lib/perl5/vendor_perl/5.8.6
    /usr/lib/perl5/vendor_perl/5.8.5
    /usr/lib/perl5/vendor_perl

I don't see an file this package installs outside of @INC
Comment 3 Paul Howarth 2008-05-24 04:14:27 EDT
$ rpm -q perl
perl-5.10.0-20.fc9.x86_64
$ perl -V
Summary of my perl5 (revision 5 version 10 subversion 0) configuration:
  Platform:
    osname=linux, osvers=2.6.18-53.1.6.el5xen, archname=x86_64-linux-thread-multi
    uname='linux xenbuilder4.fedora.phx.redhat.com 2.6.18-53.1.6.el5xen #1 smp
wed jan 16 04:10:44 est 2008 x86_64 x86_64 x86_64 gnulinux '
...
  Compiled at Mar 18 2008 15:46:46
  @INC:
    /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi
    /usr/lib/perl5/5.10.0
    /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi
    /usr/local/lib/perl5/site_perl/5.10.0
    /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi
    /usr/lib/perl5/vendor_perl/5.10.0
    /usr/lib/perl5/vendor_perl
    .
Comment 4 Ralf Corsepius 2008-05-25 01:26:12 EDT
# rpm -q perl
perl-5.10.0-20.fc9.i386

# perl -V
  @INC:
    /usr/lib/perl5/5.10.0/i386-linux-thread-multi
    /usr/lib/perl5/5.10.0
    /usr/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.10.0
    /usr/lib/perl5/site_perl/5.8.8
    /usr/lib/perl5/site_perl/5.8.7
    /usr/lib/perl5/site_perl/5.8.6
    /usr/lib/perl5/site_perl/5.8.5
    /usr/lib/perl5/site_perl
    /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi
    /usr/lib/perl5/vendor_perl/5.10.0
    /usr/lib/perl5/vendor_perl/5.8.8
    /usr/lib/perl5/vendor_perl/5.8.7
    /usr/lib/perl5/vendor_perl/5.8.6
    /usr/lib/perl5/vendor_perl/5.8.5
    /usr/lib/perl5/vendor_perl

=> The main perl-package is broken

Q: Which? The i386 or the x86_68-version?

I thought, perl-5.10.x was supposed to be treated incompatible to 5.8, which
would mean the i386-version has to be treated broken and these packages would
need to be rebuilt.



Comment 5 Fedora Update System 2008-05-26 00:06:55 EDT
perl-XML-TreeBuilder-3.09-10.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-05-28 22:35:08 EDT
perl-XML-TreeBuilder-3.09-10.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Jeff Fearn 2008-06-11 01:23:48 EDT
perl-XML-TreeBuilder-3.09-10.fc9 works for me on x86_64.

Note You need to log in before you can comment on or make changes to this bug.